<pre>
# +---------------------------------------------------+
# |                                                   |
# | NOTE: If this file is changed the application     |
# |       must be restarted                           |
# |                                                   |
# +---------------------------------------------------+
#
# Priority = {FATAL|ERROR|WARN|INFO|DEBUG|INHERITED}
#

# +---------------------------------------------------+
# | Categories                                        |
# +---------------------------------------------------+

# Category - Root
# ================
log4j.rootCategory=ERROR, Appl, stdout

# Category - com.cc
# ========================================
log4j.category.com.cc=DEBUG, Appl, stdout
log4j.additivity.com.cc=false

# Category - com.cc.framework
# ========================================
log4j.category.com.cc.framework=INFO, Appl, stdout
log4j.additivity.com.cc.framework=false

# +---------------------------------------------------+
# | Appender                                          |
# +---------------------------------------------------+

# Appender - stdout (Only for our local tests)
# =============================================
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss} [%t] %-5p %c{1} - %m%n

# Appender - Appl
# =============================================
log4j.appender.Appl=org.apache.log4j.RollingFileAppender
log4j.appender.Appl.File=c:\cc_sample2.log
log4j.appender.Appl.MaxFileSize=1024KB
log4j.appender.Appl.MaxBackupIndex=5
log4j.appender.Appl.layout=org.apache.log4j.TTCCLayout
log4j.appender.Appl.layout.ContextPrinting=true
log4j.appender.Appl.layout.DateFormat=ISO8601
</pre>